SDL_ReadStorageFile(3)

NAME
SDL_ReadStorageFile - Synchronously read a file from a storage container into a client-provided buffer.

SYNOPSIS
#include <SDL3/SDL_storage.h>

bool SDL_ReadStorageFile(SDL_Storage *storage, const char *path, void *destination, Uint64 length);

DESCRIPTION
The value of length must match the length of the file exactly; call SDL_GetStorageFileSize() to get this value. This behavior may be relaxed in a future release.

FUNCTION PARAMETERS

storage
    a storage container to read from.

path
    the relative path of the file to read.

destination
    a client-provided buffer to read the file into.

length
    the length of the destination buffer.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetStorageFileSize(3), SDL_StorageReady(3), SDL_WriteStorageFile(3)